nvme_mi_mi_subsystem_health_status_poll(2)

NAME
nvme_mi_mi_subsystem_health_status_poll - Read the Subsystem Health Data Structure from the NVM subsystem

SYNOPSIS
int nvme_mi_mi_subsystem_health_status_poll (nvme_mi_ep_t ep , bool clear , struct nvme_mi_nvm_ss_health_status *nshds );

ARGUMENTS

ep  endpoint for MI communication

clear
    flag to clear the Composite Controller Status state

nshds
    subsystem health status data to populate

DESCRIPTION
Retrieves the Subsystem Health Data Structure into nshds. If clear is set, requests that the Composite Controller Status bits are cleared after the read. See NVMe-MI section 5.6 for details on the CCS bits.

See struct nvme_mi_nvm_ss_health_status.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise..